<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ChatRowOpaqueData extends \Google\Protobuf\Internal\Message
{
    


    protected $draftMessage = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDraftMessage()
    {
        return $this->draftMessage;
    }

    public function hasDraftMessage()
    {
        return isset($this->draftMessage);
    }

    public function clearDraftMessage()
    {
        unset($this->draftMessage);
    }

    




    public function setDraftMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage::class);
        $this->draftMessage = $var;

        return $this;
    }

}

